import LmdbGraphConnector from '@notabug/chaingun-lmdb';
import { ChainGunSear, GunProcessQueue } from '@notabug/chaingun-sear';
import SocketClusterGraphConnector from '@notabug/chaingun-socket-cluster-connector';
interface Opts {
    readonly socketCluster: any;
    readonly lmdb?: any;
}
export declare class NabTabulator extends ChainGunSear {
    protected readonly socket: SocketClusterGraphConnector;
    protected readonly lmdb: LmdbGraphConnector;
    protected readonly tabulatorQueue: GunProcessQueue;
    constructor(options?: Opts);
    newScope(): any;
    authenticate(): void;
    protected directRead(soul: string): Promise<any>;
    protected didReceiveDiff(msg: any): void;
}
export {};
